Subject: bug#21725: 25.0; list-processes dont show process id

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Oct 2015 19:47:24 +0300

> Date: Wed, 21 Oct 2015 18:30:43 +0900 (JST)
> From: Tino Calancha <[email-masked]>
> 
> list-processes should show the process id. This is particularly important
> for those processes not associated to a buffer: showing a column with
> the PID greatly simplify killing those processes when they are not needed.

Thank you for your contribution.

However, wouldn't it be better to provide a key binding in the buffer
that shows the processes that would kill the process shown on the
current line?  A possible key could be "C-c C-\", for example.  This
sounds like an easier way than first looking up the PID, the killing
the process by PID.  WDYT?